> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Comments resources

Comments are messages generated by users on files, allowing users to collaborate on a file, discussing any feedback they might have on the content.

## Comment

Standard representation of a comment.

<Accordion title="Attributes and example">
  | Property           | Type                                                | Required | Description                                                       |
  | ------------------ | --------------------------------------------------- | -------- | ----------------------------------------------------------------- |
  | `id`               | `string`                                            | No       | The unique identifier for this comment.                           |
  | `type`             | `enum<string>`                                      | No       | The value will always be `comment`. Available options: `comment`. |
  | `is_reply_comment` | `boolean`                                           | No       | Whether or not this comment is a reply to another comment.        |
  | `message`          | `string`                                            | No       | The text of the comment, as provided by the user.                 |
  | `created_by`       | [User (Mini)](/reference/users-resources#user-mini) | No       | A mini user object representing the author of the comment.        |
  | `created_at`       | `string`                                            | No       | The time this comment was created.                                |
  | `modified_at`      | `string`                                            | No       | The time this comment was last modified.                          |
  | `item`             | `object`                                            | No       | The bare basic reference for an object.                           |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "comment",
    "is_reply_comment": true,
    "message": "@Aaron Levie these tigers are cool!",
    "created_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00",
    "item": {
      "id": "11446498",
      "type": "file"
    }
  }
  ```
</Accordion>

## Comment (Base)

Base representation of a comment.

<Accordion title="Attributes and example">
  | Property | Type           | Required | Description                                                       |
  | -------- | -------------- | -------- | ----------------------------------------------------------------- |
  | `id`     | `string`       | No       | The unique identifier for this comment.                           |
  | `type`   | `enum<string>` | No       | The value will always be `comment`. Available options: `comment`. |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "comment"
  }
  ```
</Accordion>

## Comment (Full)

Comments are messages created on files. Comments can be made independently or created as responses to other comments.

<Accordion title="Attributes and example">
  | Property           | Type                                                | Required | Description                                                                                                                                                            |
  | ------------------ | --------------------------------------------------- | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
  | `id`               | `string`                                            | No       | The unique identifier for this comment.                                                                                                                                |
  | `type`             | `enum<string>`                                      | No       | The value will always be `comment`. Available options: `comment`.                                                                                                      |
  | `is_reply_comment` | `boolean`                                           | No       | Whether or not this comment is a reply to another comment.                                                                                                             |
  | `message`          | `string`                                            | No       | The text of the comment, as provided by the user.                                                                                                                      |
  | `created_by`       | [User (Mini)](/reference/users-resources#user-mini) | No       | A mini user object representing the author of the comment.                                                                                                             |
  | `created_at`       | `string`                                            | No       | The time this comment was created.                                                                                                                                     |
  | `modified_at`      | `string`                                            | No       | The time this comment was last modified.                                                                                                                               |
  | `item`             | `object`                                            | No       | The bare basic reference for an object.                                                                                                                                |
  | `tagged_message`   | `string`                                            | No       | The string representing the comment text with @mentions included. @mention format is @\[id:username] where `id` is user's Box ID and `username` is their display name. |

  ```json Example theme={null}
  {
    "id": "11446498",
    "type": "comment",
    "is_reply_comment": true,
    "message": "@Aaron Levie these tigers are cool!",
    "created_by": {
      "id": "11446498",
      "type": "user",
      "name": "Aaron Levie",
      "login": "ceo@example.com"
    },
    "created_at": "2012-12-12T10:53:43-08:00",
    "modified_at": "2012-12-12T10:53:43-08:00",
    "item": {
      "id": "11446498",
      "type": "file"
    },
    "tagged_message": "@[1234567:Aaron Levie] these tigers are cool!"
  }
  ```
</Accordion>

## Comments

A list of comments.

<Accordion title="Attributes and example">
  | Property      | Type                                     | Required | Description                                                                                                                                                                                                                                                                                |
  | ------------- | ---------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
  | `total_count` | `integer`                                | No       | One greater than the offset of the last entry in the entire collection. The total number of entries in the collection may be less than `total_count`. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted. |
  | `limit`       | `integer`                                | No       | The limit that was used for these entries. This will be the same as the `limit` query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.                                                                                                     |
  | `offset`      | `integer`                                | No       | The 0-based offset of the first entry in this set. This will be the same as the `offset` query parameter. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.                                             |
  | `order`       | array of `object`                        | No       | The order by which items are returned. This field is only returned for calls that use offset-based pagination. For marker-based paginated APIs, this field will be omitted.                                                                                                                |
  | `entries`     | array of [Comment (Full)](#comment-full) | No       | A list of comments.                                                                                                                                                                                                                                                                        |

  ```json Example theme={null}
  {
    "total_count": 5000,
    "limit": 1000,
    "offset": 2000,
    "order": [
      {
        "by": "type",
        "direction": "ASC"
      }
    ],
    "entries": [
      {
        "id": "11446498",
        "type": "comment",
        "is_reply_comment": true,
        "message": "@Aaron Levie these tigers are cool!",
        "created_by": {
          "id": "11446498",
          "type": "user",
          "name": "Aaron Levie",
          "login": "ceo@example.com"
        },
        "created_at": "2012-12-12T10:53:43-08:00",
        "modified_at": "2012-12-12T10:53:43-08:00",
        "item": {
          "id": "11446498",
          "type": "file"
        },
        "tagged_message": "@[1234567:Aaron Levie] these tigers are cool!"
      }
    ]
  }
  ```
</Accordion>
